/*
 * flash.h
 *
 *  Created on: 2019. 7. 4.
 *      Author: parkyj
 */

#ifndef FLASH_H_
#define FLASH_H_

#include "main.h"
#include "CRC16.h"

#define FLASH_USER_START_ADDR ((uint32_t)0x08007C00)
#define FLASH_USER_END_ADDR     FLASH_USER_START_ADDR + ((uint32_t)0x0080000)   /* End @ of user Flash area */
#define APPLICATION_ADDRESS     (uint32_t)0x08004000      /* Start user code address: ADDR_FLASH_PAGE_8 */


#define FirmwareUpdataAck  0x11
#define FirmwareUpdataNak  0x22

#define FirmwareUpdateDelay 10
uint8_t Flash_Byte_Write(uint8_t* data);



#endif /* FLASH_H_ */
